Bug 609362 - oom killed unrelated processes for Desktop workload
Summary: oom killed unrelated processes for Desktop workload
Status: CLOSED DUPLICATE of bug 645770
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-30 05:38 UTC by Qian Cai
Modified: 2010-10-25 00:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-25 00:59:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg when oom happened (30.33 KB, text/plain)
2010-06-30 05:44 UTC, Qian Cai
no flags Details

Description Qian Cai 2010-06-30 05:38:27 UTC
Description of problem:
When using a program to malloc memory bigger than system memory + swap, it killed non-related processes like devkit-power-daemon, gconfd-2, gvfsd, NetworkManager, gvfsd-trash etc on my T400 laptop installed standard Desktop distro.

Version-Release number of selected component (if applicable):
kernel-2.6.32-37.el6.x86_64
RHEL6-20100622.1 tree

How reproducible:
always

Comment 1 Qian Cai 2010-06-30 05:44:51 UTC
Created attachment 427862 [details]
dmesg when oom happened

Comment 2 Qian Cai 2010-07-01 03:39:02 UTC
This is more a long term item to make the OOM smarter - http://lwn.net/Articles/359998/

Comment 4 Qian Cai 2010-10-25 00:59:42 UTC

*** This bug has been marked as a duplicate of bug 645770 ***


Note You need to log in before you can comment on or make changes to this bug.